-- UC_MIL_Bonuses_XP
-- Author: JNR
--------------------------------------------------------------

-- Types
--------------------------------------------------------------
INSERT OR IGNORE INTO Types
		(Type,											Kind)
VALUES	('ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP',	'KIND_ABILITY'),
		('ABILITY_JNR_CAVALIER_TRAINED_UNIT_XP',		'KIND_ABILITY'),
		('ABILITY_JNR_DEPOT_TRAINED_UNIT_XP',			'KIND_ABILITY');
--------------------------------------------------------------

-- UnitAbilities
--------------------------------------------------------------
INSERT OR IGNORE INTO UnitAbilities
		(UnitAbilityType,								Name,													Description,												Inactive)
VALUES	('ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP',	'LOC_ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP_NAME',	'LOC_ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP_DESCRIPTION',	1),
		('ABILITY_JNR_CAVALIER_TRAINED_UNIT_XP',		'LOC_ABILITY_JNR_CAVALIER_TRAINED_UNIT_XP_NAME',		'LOC_ABILITY_JNR_CAVALIER_TRAINED_UNIT_XP_DESCRIPTION',		1),
		('ABILITY_JNR_DEPOT_TRAINED_UNIT_XP',			'LOC_ABILITY_JNR_DEPOT_TRAINED_UNIT_XP_NAME',			'LOC_ABILITY_JNR_DEPOT_TRAINED_UNIT_XP_DESCRIPTION',		1);

UPDATE UnitAbilities SET Description='LOC_ABILITY_SEAPORT_TRAINED_UNIT_XP_DESCRIPTION_JNR_UC'	WHERE Description='LOC_ABILITY_SEAPORT_TRAINED_UNIT_XP_DESCRIPTION';
UPDATE UnitAbilities SET Description='LOC_ABILITY_BARRACKS_TRAINED_UNIT_XP_DESCRIPTION_JNR_UC'	WHERE Description='LOC_ABILITY_BARRACKS_TRAINED_UNIT_XP_DESCRIPTION';
--------------------------------------------------------------

-- Tags
--------------------------------------------------------------
INSERT OR IGNORE INTO Tags
		(Tag,									Vocabulary)
VALUES	('CLASS_XP_BONUS_MELEE_JNR',			'ABILITY_CLASS'),
		('CLASS_XP_BONUS_ANTI_CAVALRY_JNR',		'ABILITY_CLASS'),
		('CLASS_XP_BONUS_MONK_JNR',				'ABILITY_CLASS'),
		('CLASS_XP_BONUS_RANGED_JNR',			'ABILITY_CLASS'),
		('CLASS_XP_BONUS_RECON_JNR',			'ABILITY_CLASS'),
		('CLASS_XP_BONUS_SIEGE_JNR',			'ABILITY_CLASS'),
		('CLASS_XP_BONUS_LIGHT_CAVALRY_JNR',	'ABILITY_CLASS'),
		('CLASS_XP_BONUS_HEAVY_CAVALRY_JNR',	'ABILITY_CLASS');
--------------------------------------------------------------

-- TypeTags
--------------------------------------------------------------
DELETE FROM TypeTags WHERE Type='ABILITY_BARRACKS_TRAINED_UNIT_XP';
DELETE FROM TypeTags WHERE Type='ABILITY_STABLE_TRAINED_UNIT_XP';
DELETE FROM TypeTags WHERE Type='ABILITY_ARMORY_TRAINED_UNIT_XP';
DELETE FROM TypeTags WHERE Type='ABILITY_MILITARY_ACADEMY_TRAINED_UNIT_XP';

INSERT OR IGNORE INTO TypeTags
		(Type,											Tag)
VALUES	('ABILITY_BARRACKS_TRAINED_UNIT_XP',			'CLASS_XP_BONUS_MELEE_JNR'),
		('ABILITY_MILITARY_ACADEMY_TRAINED_UNIT_XP',	'CLASS_XP_BONUS_MELEE_JNR'),
		('ABILITY_BARRACKS_TRAINED_UNIT_XP',			'CLASS_XP_BONUS_ANTI_CAVALRY_JNR'),
		('ABILITY_MILITARY_ACADEMY_TRAINED_UNIT_XP',	'CLASS_XP_BONUS_ANTI_CAVALRY_JNR'),
		('ABILITY_BARRACKS_TRAINED_UNIT_XP',			'CLASS_XP_BONUS_MONK_JNR'),
		('ABILITY_MILITARY_ACADEMY_TRAINED_UNIT_XP',	'CLASS_XP_BONUS_MONK_JNR'),
		('ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP',	'CLASS_XP_BONUS_RANGED_JNR'),
		('ABILITY_MILITARY_ACADEMY_TRAINED_UNIT_XP',	'CLASS_XP_BONUS_RANGED_JNR'),
		('ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP',	'CLASS_XP_BONUS_RECON_JNR'),
		('ABILITY_MILITARY_ACADEMY_TRAINED_UNIT_XP',	'CLASS_XP_BONUS_RECON_JNR'),
		('ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP',	'CLASS_XP_BONUS_SIEGE_JNR'),
		('ABILITY_JNR_CAVALIER_TRAINED_UNIT_XP',		'CLASS_XP_BONUS_SIEGE_JNR'),
		('ABILITY_STABLE_TRAINED_UNIT_XP',				'CLASS_XP_BONUS_LIGHT_CAVALRY_JNR'),
		('ABILITY_JNR_DEPOT_TRAINED_UNIT_XP',			'CLASS_XP_BONUS_LIGHT_CAVALRY_JNR'),
		('ABILITY_STABLE_TRAINED_UNIT_XP',				'CLASS_XP_BONUS_HEAVY_CAVALRY_JNR'),
		('ABILITY_JNR_DEPOT_TRAINED_UNIT_XP',			'CLASS_XP_BONUS_HEAVY_CAVALRY_JNR');

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_MELEE_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_MELEE';

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_MELEE_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_NIHANG';

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_ANTI_CAVALRY_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_ANTI_CAVALRY';

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_MONK_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_MONK';

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_RANGED_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_RANGED';

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_RECON_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_RECON';

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_SIEGE_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_SIEGE';

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_LIGHT_CAVALRY_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_LIGHT_CAVALRY';

INSERT OR IGNORE INTO TypeTags
		(Type,		Tag)
SELECT	UnitType,	'CLASS_XP_BONUS_HEAVY_CAVALRY_JNR'
FROM Units WHERE PromotionClass='PROMOTION_CLASS_HEAVY_CAVALRY';
--------------------------------------------------------------

-- Modifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO Modifiers
		(ModifierId,									ModifierType,											Permanent)
VALUES	('JNR_TARGET_RANGE_TRAINED_UNIT_XP_MODIFIER',	'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS',	1),
		('JNR_CAVALIER_TRAINED_UNIT_XP_MODIFIER',		'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS',	1),
		('JNR_DEPOT_TRAINED_UNIT_XP_MODIFIER',			'MODIFIER_SINGLE_CITY_GRANT_ABILITY_FOR_TRAINED_UNITS',	1),
		('JNR_TARGET_RANGE_TRAINED_UNIT_XP',			'MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER',	1),
		('JNR_CAVALIER_TRAINED_UNIT_XP',				'MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER',	1),
		('JNR_DEPOT_TRAINED_UNIT_XP',					'MODIFIER_PLAYER_UNIT_ADJUST_UNIT_EXPERIENCE_MODIFIER',	1);
-----------------------------------------------------------

-- ModifierArguments
--------------------------------------------------------------
INSERT OR IGNORE INTO ModifierArguments
		(ModifierId,									Name,			Value)
VALUES	('JNR_TARGET_RANGE_TRAINED_UNIT_XP_MODIFIER',	'AbilityType',	'ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP'),
		('JNR_CAVALIER_TRAINED_UNIT_XP_MODIFIER',		'AbilityType',	'ABILITY_JNR_CAVALIER_TRAINED_UNIT_XP'),
		('JNR_DEPOT_TRAINED_UNIT_XP_MODIFIER',			'AbilityType',	'ABILITY_JNR_DEPOT_TRAINED_UNIT_XP'),
		('JNR_TARGET_RANGE_TRAINED_UNIT_XP',			'Amount',		25),
		('JNR_CAVALIER_TRAINED_UNIT_XP',				'Amount',		25),
		('JNR_DEPOT_TRAINED_UNIT_XP',					'Amount',		25);

UPDATE ModifierArguments SET Value=50 WHERE ModifierId='BARRACKS_TRAINED_UNIT_XP' AND Name='Amount';
--------------------------------------------------------------

-- BuildingModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO BuildingModifiers
		(BuildingType,					ModifierId)
VALUES	('BUILDING_JNR_TARGET_RANGE',	'JNR_TARGET_RANGE_TRAINED_UNIT_XP_MODIFIER'),
		('BUILDING_JNR_CAVALIER',		'JNR_CAVALIER_TRAINED_UNIT_XP_MODIFIER'),
		('BUILDING_JNR_DEPOT',			'JNR_DEPOT_TRAINED_UNIT_XP_MODIFIER');

DELETE FROM BuildingModifiers										WHERE ModifierId='SHIPYARD_TRAINED_UNIT_XP_MODIFIER'	AND BuildingType='BUILDING_SHIPYARD';
DELETE FROM BuildingModifiers										WHERE ModifierId='HANGAR_TRAINED_AIRCRAFT_XP_MODIFIER'	AND BuildingType='BUILDING_HANGAR';
UPDATE BuildingModifiers SET BuildingType='BUILDING_JNR_NAVAL_BASE' WHERE ModifierId='SEAPORT_TRAINED_UNIT_XP_MODIFIER'		AND BuildingType='BUILDING_SEAPORT';
--------------------------------------------------------------

-- UnitAbilityModifiers
--------------------------------------------------------------
INSERT OR IGNORE INTO UnitAbilityModifiers
		(UnitAbilityType,								ModifierId)
VALUES	('ABILITY_JNR_TARGET_RANGE_TRAINED_UNIT_XP',	'JNR_TARGET_RANGE_TRAINED_UNIT_XP'),
		('ABILITY_JNR_CAVALIER_TRAINED_UNIT_XP',		'JNR_CAVALIER_TRAINED_UNIT_XP'),
		('ABILITY_JNR_DEPOT_TRAINED_UNIT_XP',			'JNR_DEPOT_TRAINED_UNIT_XP');
--------------------------------------------------------------